dojo.provide("parus.balanceRemarkDialog");

dojo.require("dijit.Dialog");
dojo.require("dijit.form.Button");
dojo.require("dijit.form.NumberTextBox");

dojo.require("parus.parus8");
dojo.require("parus.dialog");

dojo.declare("parus.balanceRemarkDialog", [parus.Dialog], {

  validate: function() {
    var valid = this.dialog.validate();
    if (!this.noteEdit.attr("value")) dojo.addClass(this.noteEdit.domNode, "dijitError")
    else dojo.removeClass(this.noteEdit.domNode, "dijitError");

    if (valid && !this.noteEdit.attr("value")) {
      dijit.showTooltip("Это обязательное значение", this.noteEdit.domNode);
      return false;
    };
    dijit.hideTooltip(this.noteEdit.domNode);
    return valid;
  },

  close: function() {
    dijit.hideTooltip(this.noteEdit.domNode);
    return this.inherited(arguments);
  },

  onShow: function() {
    this.validate();
    return this.inherited(arguments);
  },

  noteEditChange: function() {
    if (!this.noteEdit.attr("value")) {
      dijit.showTooltip("Это обязательное значение", this.noteEdit.domNode);
      dojo.addClass(this.noteEdit.domNode, "dijitError")
    }
    else {
      dojo.removeClass(this.noteEdit.domNode, "dijitError");
      dijit.hideTooltip(this.noteEdit.domNode);
    }
  }

});